Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class CDataBookmark

    java.lang.Object
      org.apache.xmlbeans.XmlCursor.XmlBookmark
          org.apache.xmlbeans.CDataBookmark

    public class CDataBookmark

extends XmlCursor.XmlBookmark

Represents a CDATA bookmark.

When XmlOption UseCDataBookmarks is setted on parse methods, the loader will set these CDataBookmarks in the store on the respective TEXT fields that were represented as CDATA.

Users can modify the 'look' of TEXT fields, by annotating them with this bookmark, or remove the bookmark.

Additionaly if setted on save methods, the output will look for these bookmarks and will output the text as CDATA. Note: The SaveCDataEntityCountThreshold and SaveCDataLengthThreshold options and their default values still apply.

Note: Due to the store representation, a CDATA will not be recognized if it is imediately after non CDATA text and all text following it will be considered CDATA.
Example:

     <a><![CDATA[cdata text]]></a>               - is considered as: <a><![CDATA[cdata text]]></a>
     <b><![CDATA[cdata text]]> regular text</b>  - is considered as: <b><![CDATA[cdata text regular text]]></b>
     <c>text <![CDATA[cdata text]]></c>          - is considered as: <c>text cdata text</c>

Author:
  Cezar Andrei (cezar dot andrei at gmail dot com)
See Also:
  `XmlOptions.setUseCDataBookmarks()`, `XmlObject.Factory.parse(String, XmlOptions)`, `XmlTokenSource.save(java.io.OutputStream, XmlOptions)`, `XmlOptions.setSaveCDataEntityCountThreshold(int)`, `XmlOptions.setSaveCDataLengthThreshold(int)`

Field Summary
`static CDataBookmark` | `CDATA_BOOKMARK` The actual bookmark object representing CData. Users must use this bookmark in addition to UseCDataBookmarks option to make use of CDATA representation in XML text.

Fields inherited from class org.apache.xmlbeans.XmlCursor.XmlBookmark
`_currentMark, _ref`

Constructor Summary
`CDataBookmark()`

Method Summary

Methods inherited from class org.apache.xmlbeans.XmlCursor.XmlBookmark
`createCursor, getKey, toBookmark`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CDATA_BOOKMARK

    public static CDataBookmark CDATA_BOOKMARK

  The actual bookmark object representing CData.
  Users must use this bookmark in addition to UseCDataBookmarks option to make use of CDATA representation in XML text.

Constructor Detail

### CDataBookmark

    public CDataBookmark()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD